package com.atguigu.auth.service;

import com.atguigu.model.system.SysUser;
import com.atguigu.vo.system.SysUserQueryVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author bunny
 * @since 2024-04-22
 */
public interface SysUserService extends IService<SysUser> {

    /**
     * 用户条件分页查询
     *
     * @param page  当前页
     * @param limit 每页记录数
     * @param vo    查询条件
     * @return 分页结果
     */
    IPage<SysUser> getUserByPage(Long page, Long limit, SysUserQueryVo vo);
}
